Query Inventory Stats
Get Stats from Vms given the vdu Id
Request
URI
POST
https://{api_host}/hybridity/api/vnfpm/v1/{vnfInstanceId}/stats
COPY
Path Parameters
string
vnfInstanceId
Required
Network Function Instance Id
Header Parameters
string
Accept-Language
Optional
Accept-Language
Request Body
null
statsFilter
of type(s)
application/json
Required
{
"filter": {
"vduIds": [
"string"
],
"metricGroupNames": [
"string"
],
"metricNames": [
"string"
],
"duration": {
"from": "string",
"to": "string"
}
},
"paging": {
"offset": "string",
"pageSize": 0
}
}
Responses
200
Accepted
Returns
vduStatsResponse
of type(s)
application/json
{
"paging": {
"offset": "string",
"pageSize": 0
},
"vduStats": [
{
"vduId": "string",
"stats": [
{
"metricName": "string",
"units": "string",
"ts": [
"number"
],
"values": [
"string"
]
}
]
}
],
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
500
Internal Server Error
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
On This Page
Performance Management Operations
POST
Create Pm Job
DELETE
Delete Pm Job
GET
Download Report File
GET
Get All Pm Jobs
GET
Get Pm Job
GET
Get Pm Job Report
POST
Query Inventory Stats